content/operate/rs/7.8/references/rest-api/requests/cluster/ldap.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/cluster/ldap | Get LDAP configuration |
| PUT | /v1/cluster/ldap | Set/update LDAP configuration |
| DELETE | /v1/cluster/ldap | Delete LDAP configuration |
GET /v1/cluster/ldap
Get the LDAP configuration.
| Permission name |
|---|
| [view_ldap_config]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_ldap_config" >}}) |
GET /v1/cluster/ldap
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Returns an [LDAP object]({{< relref "/operate/rs/7.8/references/rest-api/objects/ldap" >}}).
{
"bind_dn": "rl_admin",
"bind_pass": "***",
"ca_cert": "",
"control_plane": false,
"data_plane": false,
"dn_group_attr": "MemberOf",
"dn_group_query": {},
"starttls": false,
"uris": ["ldap://ldap.example.org:636"],
"user_dn_query": {},
"user_dn_template": "cn=%u, ou=users,dc=example,dc=org"
}
| Code | Description |
|---|---|
| 200 OK | Success |
PUT /v1/cluster/ldap
Set or update the cluster LDAP configuration.
| Permission name |
|---|
| [config_ldap]({{< relref "/operate/rs/7.8/references/rest-api/permissions#config_ldap" >}}) |
POST /v1/cluster/ldap
{
"uris": [
"ldap://ldap.redislabs.com:389"
],
"bind_dn": "rl_admin",
"bind_pass": "secret",
"user_dn_template": "cn=%u,dc=example,dc=org",
"dn_group_attr": "MemberOf",
"directory_timeout_s": 5
}
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Include an [LDAP object]({{< relref "/operate/rs/7.8/references/rest-api/objects/ldap" >}}) with updated fields in the request body.
Returns a status code. If an error occurs, the response body may include an error code and message with more details.
Possible error_code values:
| Code | Description |
|---|---|
| illegal_fields_combination | An unacceptable combination of fields was specified for the configuration object (e.g.: two mutually-exclusive fields), or a required field is missing. |
| Code | Description |
|---|---|
| 200 OK | Success, LDAP config has been set. |
| 400 Bad Request | Bad or missing configuration parameters. |
DELETE /v1/cluster/ldap
Clear the LDAP configuration.
| Permission name |
|---|
| [config_ldap]({{< relref "/operate/rs/7.8/references/rest-api/permissions#config_ldap" >}}) |
DELETE /v1/cluster/ldap
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Returns a status code.
| Code | Description |
|---|---|
| 200 OK | Success |